#ifndef I2C_SMBUS_H
#define I2C_SMBUS_H
#include "stdint.h"
#include "nccm0670.h"

uint8_t i2c_smbus_master_transmit(I2C_Type *i2cx, uint16_t dev_address, uint8_t *data, uint16_t size, uint32_t timeout);
uint8_t i2c_smbus_master_receive(I2C_Type *i2cx, uint16_t dev_address, uint8_t *data, uint16_t size, uint32_t timeout);
uint8_t i2c_smbus_slave_transmit(I2C_Type *i2cx, uint8_t *data, uint16_t size, uint32_t timeout);
uint8_t i2c_smbus_slave_receive(I2C_Type *i2cx, uint8_t *data, uint16_t size, uint32_t timeout);

#endif
