/*! @file    NCCM0670_CONF.h
 *  @brief   固件库头文件包含
 *  @version 2021-04-23  V1.0.0
 *
 * Copyright (C) 2020-2030 NCC Limited. All rights reserved.
 *
 * THIS SOFTWARE IS PROVIDED BY NCC "AS IS" AND ANY EXPRESSED OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL NCC OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
 * IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 * THE POSSIBILITY OF SUCH DAMAGE.
 */
#ifndef NCCM0670_CONF_H
#define NCCM0670_CONF_H

/* Uncomment/Comment the line below to enable/disable peripheral header file inclusion */
#include "nccm0670_adc.h"
#include "nccm0670_crc.h"
#include "nccm0670_dbg.h"
#include "nccm0670_exti.h"
#include "nccm0670_flash.h"
#include "nccm0670_gpio.h"
#include "nccm0670_i2c.h"
#include "nccm0670_iwdg.h"
#include "nccm0670_pwr.h"
#include "nccm0670_rcc.h"
#include "nccm0670_adc.h"
#include "nccm0670_spi.h"
#include "nccm0670_btim.h"
#include "nccm0670_usart.h"
#include "nccm0670_lpuart.h"
#include "nccm0670_wwdg.h"
#include "nccm0670_misc.h"
#include "nccm0670_gtim.h"
#include "nccm0670_rcc.h"
#include "nccm0670_syscfg.h"
#include "nccm0670_awu.h"
#include "nccm0670_flash.h"
#include "stdio.h"
/*******************************************************************************
 * API
 ******************************************************************************/
#if defined(__cplusplus)
extern "C" {
#endif


#if defined(__cplusplus)
}
#endif

/*! @} */
/*! @} */
#endif /* NCCM0670_CONF_H */
/*******************************************************************************
 * EOF
 ******************************************************************************/
