#include "nccm0670.h"

volatile uint32_t s_systick_counter;

/* 初始化systick 1ms计数 */
void systick_init(void)
{
    SysTick_Config(SystemCoreClock / 1000U);
    NVIC_SetPriority(SysTick_IRQn, 0x00U);
}

/* 延时函数 */
void delay_ms(uint32_t delay)
{
    volatile uint32_t now = s_systick_counter;

    while (s_systick_counter - now < delay)
        ;
}

void SysTick_Handler(void)
{
    s_systick_counter++;
}